## org.eclipse.emf.validation.service
Interface IParameterizedConstraintDescriptor

All Superinterfaces:
  IConstraintDescriptor

    public interface IParameterizedConstraintDescriptor

extends IConstraintDescriptor

A specialization of the `IConstraintDescriptor` interface that additionally supplies parameters as (name, value) pairs of strings. The parameters available are determined by the constraint parser for the constraint's language.

This interface also defines a selection of "standard" parameters, that map to information in the `org.eclipse.emf.validation.constraintProviders` extension point schema `<constraint>` element.

Since:
  1.1

Field Summary
`static String` `BUNDLE_PARAMETER` Parameter corresponding to the implied bundle symbolic name of the `<constraint>` element in `plugin.xml` constraint declarations.
`static String` `CLASS_PARAMETER` Parameter corresponding to the "class" attribute of the `<constraint>` element in `plugin.xml` constraint declarations.

Method Summary
`String` `getLanguage()` Queries the "constraint language" of the described constraint, which indicates the constraint parser that can construct the constraint from this descriptor.
`String` `getParameterValue(String name)` Obtains the value of the specified named parameter, as a string.

Methods inherited from interface org.eclipse.emf.validation.service.IConstraintDescriptor
`addCategory, getBody, getCategories, getDescription, getEvaluationMode, getException, getId, getMessagePattern, getName, getPluginId, getSeverity, getStatusCode, isBatch, isEnabled, isError, isLive, removeCategory, setEnabled, setError, targetsEvent, targetsTypeOf`

Field Detail

### CLASS_PARAMETER

    static final String CLASS_PARAMETER

  Parameter corresponding to the "class" attribute of the `<constraint>` element in `plugin.xml` constraint declarations.

  See Also:
    Constant Field Values

### BUNDLE_PARAMETER

    static final String BUNDLE_PARAMETER

  Parameter corresponding to the implied bundle symbolic name of the `<constraint>` element in `plugin.xml` constraint declarations. It is derived from the configuration element's namespace identifier. This bundle parameter is important, to allow a constraint parser to load classes by name (from the `CLASS_PARAMETER`) that are not on its own classpath.

  See Also:
    Constant Field Values

Method Detail

### getLanguage

    String getLanguage()

  Queries the "constraint language" of the described constraint, which indicates the constraint parser that can construct the constraint from this descriptor.

  Returns:
    the constraint language (must not be `null`)

### getParameterValue

    String getParameterValue(String name)

  Obtains the value of the specified named parameter, as a string. In the case that a value is not available, the constraint parser must decide whether to substitute an implicit (default) value or disable the constraint.

  Parameters:
    `name` - the parameter name
  Returns:
    the corresponding value, or `null` if no value is specified for this parameter

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.